ORG.FREEDESKTOP.TIMESYNC1(5)

BEZEICHNUNG
org.freedesktop.timesync1 - Die D-Bus-Schnittstelle von systemd-timesyncd

EINFÜHRUNG

systemd-timesyncd.service(8) ist ein Systemdienst, der zur Synchronisation der lokalen Systemuhr mit einem fernen »Network Time Protocol«- (NTP-)Server verwandt werden kann. Diese Seite beschreibt die D-Bus-Schnittstelle.

DAS OBJEKT »MANAGER«

Der Dienst legt die folgenden Schnittstellen des Objekts »Manager« auf dem Bus offen:

    node /org/freedesktop/timesync1 {
      interface org.freedesktop.timesync1.Manager {
        methods:
          SetRuntimeNTPServers(in  as runtime_servers);
        properties:
          readonly as LinkNTPServers = ['…', …];
          readonly as SystemNTPServers = ['…', …];
          readonly as RuntimeNTPServers = ['…', …];
          readonly as FallbackNTPServers = ['…', …];
          @org.freedesktop.DBus.Property.EmitsChangedSignal("false")
          readonly s ServerName = '…';
          @org.freedesktop.DBus.Property.EmitsChangedSignal("false")
          readonly (iay) ServerAddress = …;
          @org.freedesktop.DBus.Property.EmitsChangedSignal("const")
          readonly t RootDistanceMaxUSec = …;
          @org.freedesktop.DBus.Property.EmitsChangedSignal("const")
          readonly t PollIntervalMinUSec = …;
          @org.freedesktop.DBus.Property.EmitsChangedSignal("const")
          readonly t PollIntervalMaxUSec = …;
          @org.freedesktop.DBus.Property.EmitsChangedSignal("false")
          readonly t PollIntervalUSec = …;
          readonly (uuuuittayttttbtt) NTPMessage = …;
          @org.freedesktop.DBus.Property.EmitsChangedSignal("false")
          readonly x Frequency = …;
      };
      interface org.freedesktop.DBus.Peer { … };
      interface org.freedesktop.DBus.Introspectable { … };
      interface org.freedesktop.DBus.Properties { … };
    };

Stellt Informationen über den Manager bereit.

BEISPIELE

Beispiel 1. org.freedesktop.timesync1.Manager auf dem Bus prüfen

    $ gdbus introspect --system \
      --dest org.freedesktop.timesync1 \
      --object-path /org/freedesktop/timesync1

VERSIONIERUNG

Diese D-Bus-Schnittstellen folgen den normalen Schnittstellenversionierungsrichtlinien[1].

SIEHE AUCH

systemd(1), systemd-timesync.service(8)

ANMERKUNGEN

1.  die normalen Schnittstellenversionierungsrichtlinien
    https://0pointer.de/blog/projects/versioning-dbus.html

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).